#457 Replace ttname with fc-query
Merged a year ago by frostyx. Opened 2 years ago by fed500.
fed500/FedoraReview master  into  master

file modified
+1
@@ -9,3 +9,4 @@ 

  Gregor Tätzner <gregor@freenet.de>

  Petr Šabata <contyk@redhat.com>

  Marcela Mašláňová <mmaslano@redhat.com>

+ Benson Muite <benson_muite@emailplus.org>

scripts/fonts-fc-query.sh scripts/fonts-ttname.sh
file renamed
+7 -6
@@ -1,24 +1,25 @@ 

  #!/bin/bash

  # @group: fonts

- # @text: Run ttname on all fonts in package.

+ # @text: Run fc-query on all fonts in package.

  # @type: EXTRA

  

  msg="package to make a comprehensive font review."

  

- rpm -q ttname &> /dev/null || {

-     echo "Cannot find ttname command, install ttname $msg"

+ rpm -q fc-query &> /dev/null || {

+     echo "Cannot find fc-query command, install fontconfig $msg"

      exit $FR_FAIL

  }

  if unpack_rpms; then

      for font in $(find rpms-unpacked -name \*.ttf); do

          echo "----> ${font#.*/}"

-         ttname $font

+         fc-query $font

          echo

-     done &> ttname.log

+     done &> fc-query.log

  else

      echo "Cannot unpack rpms!" >&2

      exit $FR_FAIL

  fi

  

- echo "ttname analyze results in fonts/ttname.log."

+ echo "Check results in fonts/fc-query.log match spec file"

+ echo "and fontconfig xml file."

  exit $FR_PASS

Hello @fed500,
sorry for leaving this open this long.

Please drop the fedora-review.spec changes. They will cause conflicts with the rest of your PRs. Also, the %changelog is for keeping track of spec file changes, not the software changes.

Otherwise LGTM

They will cause conflicts with the rest of your PRs

Ah, it won't. You built them on top of this commit. But anyway, please drop the specfile changes :-)

1 new commit added

  • Do not change spec file
a year ago

@frostyx Updated can rebase other merge requests once this one is resolved

Being nitpicky but I don't want to spam the git history. Can you please squash those commits together?

Then I am merging.

Squashed the commits.

rebased onto 2f6dc20a9d5c4c7e8b08fc6341338b7b344b7b7b

a year ago

rebased onto cf12c61

a year ago

Pull-Request has been merged by frostyx

a year ago